pod.yaml => oc get po test-actual-login -n default -o yaml
apiVersion: v1
kind: Pod
metadata:
  annotations:
    k8s.ovn.org/pod-networks: '{"default":{"ip_addresses":["10.128.2.20/23"],"mac_address":"0a:58:0a:80:02:14","gateway_ips":["10.128.2.1"],"routes":[{"dest":"10.128.0.0/14","nextHop":"10.128.2.1"},{"dest":"172.30.0.0/16","nextHop":"10.128.2.1"},{"dest":"169.254.0.5/32","nextHop":"10.128.2.1"},{"dest":"100.64.0.0/16","nextHop":"10.128.2.1"}],"ip_address":"10.128.2.20/23","gateway_ip":"10.128.2.1","role":"primary"}}'
    k8s.v1.cni.cncf.io/network-status: |-
      [{
          "name": "ovn-kubernetes",
          "interface": "eth0",
          "ips": [
              "10.128.2.20"
          ],
          "mac": "0a:58:0a:80:02:14",
          "default": true,
          "dns": {}
      }]
    kubectl.kubernetes.io/last-applied-configuration: |
      {"apiVersion":"v1","kind":"Pod","metadata":{"annotations":{},"name":"test-actual-login","namespace":"default"},"spec":{"containers":[{"command":["sleep","3600"],"image":"registry.access.redhat.com/ubi8/ubi-minimal:latest","name":"test","securityContext":{"capabilities":{"drop":["ALL"]},"privileged":true,"readOnlyRootFilesystem":true,"runAsUser":1000}}],"serviceAccountName":"test-unauthorized-sa"}}
  creationTimestamp: "2025-11-11T10:23:16Z"
  generation: 1
  name: test-actual-login
  namespace: default
  resourceVersion: "147319"
  uid: dd230a08-56e3-43f3-8cf2-dad76ec3c1ca
spec:
  containers:
  - command:
    - sleep
    - "3600"
    image: registry.access.redhat.com/ubi8/ubi-minimal:latest
    imagePullPolicy: Always
    name: test
    resources: {}
    securityContext:
      capabilities:
        drop:
        - ALL
      privileged: true
      readOnlyRootFilesystem: true
      runAsUser: 1000
    terminationMessagePath: /dev/termination-log
    terminationMessagePolicy: File
    volumeMounts:
    - mountPath: /var/run/secrets/kubernetes.io/serviceaccount
      name: kube-api-access-8npbp
      readOnly: true
  dnsPolicy: ClusterFirst
  enableServiceLinks: true
  imagePullSecrets:
  - name: test-unauthorized-sa-dockercfg-rvq75
  nodeName: ci-ln-cfz1w6t-72292-97g5q-worker-b-jztvk
  preemptionPolicy: PreemptLowerPriority
  priority: 0
  restartPolicy: Always
  schedulerName: default-scheduler
  securityContext: {}
  serviceAccount: test-unauthorized-sa
  serviceAccountName: test-unauthorized-sa
  terminationGracePeriodSeconds: 30
  tolerations:
  - effect: NoExecute
    key: node.kubernetes.io/not-ready
    operator: Exists
    tolerationSeconds: 300
  - effect: NoExecute
    key: node.kubernetes.io/unreachable
    operator: Exists
    tolerationSeconds: 300
  volumes:
  - name: kube-api-access-8npbp
    projected:
      defaultMode: 420
      sources:
      - serviceAccountToken:
          expirationSeconds: 3607
          path: token
      - configMap:
          items:
          - key: ca.crt
            path: ca.crt
          name: kube-root-ca.crt
      - downwardAPI:
          items:
          - fieldRef:
              apiVersion: v1
              fieldPath: metadata.namespace
            path: namespace
      - configMap:
          items:
          - key: service-ca.crt
            path: service-ca.crt
          name: openshift-service-ca.crt
status:
  conditions:
  - lastProbeTime: null
    lastTransitionTime: "2025-11-11T10:23:21Z"
    status: "True"
    type: PodReadyToStartContainers
  - lastProbeTime: null
    lastTransitionTime: "2025-11-11T10:23:16Z"
    status: "True"
    type: Initialized
  - lastProbeTime: null
    lastTransitionTime: "2025-11-11T10:23:21Z"
    status: "True"
    type: Ready
  - lastProbeTime: null
    lastTransitionTime: "2025-11-11T10:23:21Z"
    status: "True"
    type: ContainersReady
  - lastProbeTime: null
    lastTransitionTime: "2025-11-11T10:23:16Z"
    status: "True"
    type: PodScheduled
  containerStatuses:
  - containerID: cri-o://ae137526203b63d252ae0221e20f7da02d5ae5793303da3a56685d8cc8437d6b
    image: registry.access.redhat.com/ubi8/ubi-minimal:latest
    imageID: registry.access.redhat.com/ubi8/ubi-minimal@sha256:7f9482f9e0c3ed4952209cb732f8cdc1979d60a29483fe1a2e03bf22640ed7fc
    lastState: {}
    name: test
    ready: true
    resources: {}
    restartCount: 0
    started: true
    state:
      running:
        startedAt: "2025-11-11T10:23:20Z"
    user:
      linux:
        gid: 0
        supplementalGroups:
        - 0
        uid: 1000
    volumeMounts:
    - mountPath: /var/run/secrets/kubernetes.io/serviceaccount
      name: kube-api-access-8npbp
      readOnly: true
      recursiveReadOnly: Disabled
  hostIP: 10.0.128.2
  hostIPs:
  - ip: 10.0.128.2
  phase: Running
  podIP: 10.128.2.20
  podIPs:
  - ip: 10.128.2.20
  qosClass: BestEffort
  startTime: "2025-11-11T10:23:16Z"